package kaysaar.aotd_question_of_loyalty.data.intel.secession;

import java.util.Iterator;
import com.fs.starfarer.api.campaign.econ.MarketAPI;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.listeners.EconomyTickListener;

public class EmergentAuthorityApplier implements EconomyTickListener
{
    public static String memKey;
    
    public void reportEconomyTick(final int iterIndex) {
        for (final MarketAPI marketAPI : Global.getSector().getEconomy().getMarketsCopy()) {
            if (marketAPI.getFaction().isPlayerFaction() && !marketAPI.hasCondition("aotd_emergent_autonomy") && Global.getSector().getMemory().getBoolean(EmergentAuthorityApplier.memKey)) {
                marketAPI.addCondition("aotd_emergent_autonomy");
            }
            if (!marketAPI.getFaction().isPlayerFaction()) {
                marketAPI.removeCondition("aotd_emergent_autonomy");
            }
        }
    }
    
    public void reportEconomyMonthEnd() {
    }
    
    static {
        EmergentAuthorityApplier.memKey = "$aotd_emergent";
    }
}
